STOREBACKUPDEL(1)

NAME
storeBackupDel.pl - this program deletes backups created by storeBackup

SYNOPSIS
        storeBackupDel.pl [-f configFile] [--print]
        [-b backupDirectory] [-S series] [--doNotDelete]
        [--deleteNotFinishedDirs] [-L lockFile]
        [--keepAll timePeriod] [--keepWeekday entry] [--keepFirstOfYear]
        [--keepLastOfYear] [--keepFirstOfMonth] [--keepLastOfMonth]
        [--keepFirstOfWeek] [--keepLastOfWeek]
        [--keepDuplicate] [--keepMinNumber] [--keepMaxNumber]
        [-l logFile
         [--plusLogStdout] [--suppressTime] [-m maxFilelen]
         [[-n noOfOldFiles] | [--saveLogs]
         [--compressWith compressprog]]

WARNING
  !!! USAGE IN PARALLEL WITH storeBackup.pl CAN DESTROY YOUR BACKUPS !!!

OPTIONS

--file, -f
        configuration file (instead of parameters)

--print
        print configuration read from configuration file and stop

--backupDir, -b
        top level directory of all backups (must exist)

--series, -S
        directory of backup series
        same parameter as in storeBackup / relative path
        from backupDir, default is 'default'

--lockFile, -L
        lock file, if exists, new instances will finish if
        an old is already running, default is $lockFile
        this type of lock files does not work across multiple servers
        and is not designed to separate storeBackup.pl and
        storeBackupUpdateBackup.pl or any other storeBackup
        process in a separate PID space

--doNotDelete
        test only, do not delete any backup

--deleteNotFinishedDirs
        delete old backups which where not finished
        this will not happen if doNotDelete is set

--keepAll
        keep backups which are not older than the specified amount
        of time. This is like a default value for all days in
        --keepWeekday. Begins deleting at the end of the script
        the time range has to be specified in format 'dhms', e.g.
        10d4h means 10 days and 4 hours
        default = $keepAll;

--keepWeekday
                        keep backups for the specified days for the specified
                        amount of time. Overwrites the default values choosen in
                        --keepAll. 'Mon,Wed:40d Sat:60d10m' means:
                            keep backups of Mon and Wed 40days + 5mins
                            keep backups of Sat 60days + 10mins
                            keep backups of the rest of the days like spcified in
                                    --keepAll (default $keepAll)
                        if you also use the 'archive flag' it means to not
                        delete the affected directories via --keepMaxNumber:
                           a10d4h means 10 days and 4 hours and 'archive flag'
                        e.g. 'Mon,Wed:a40d Sat:60d10m' means:
                            keep backups of Mon and Wed 40days + 5mins + 'archive'
                            keep backups of Sat 60days + 10mins
                            keep backups of the rest of the days like specified in
                                    --keepAll (default $keepAll)

--keepFirstOfYear
        do not delete the first backup of a year
        format is timePeriod with possible 'archive flag'

--keepLastOfYear
        do not delete the last backup of a year
        format is timePeriod with possible 'archive flag'

--keepFirstOfMonth
        do not delete the first backup of a month
        format is timePeriod with possible 'archive flag'

--keepLastOfMonth
        do not delete the last backup of a month
        format is timePeriod with possible 'archive flag'

--firstDayOfWeek
        default: 'Sun'. This value is used for calculating
        --keepFirstOfWeek and --keepLastOfWeek

--keepFirstOfWeek
        do not delete the first backup of a week
        format is timePeriod with possible 'archive flag'

--keepLastOfWeek
        do not delete the last backup of a week
        format is timePeriod with possible 'archive flag'

--keepDuplicate
        keep multiple backups of one day up to timePeriod
        format is timePeriod, 'archive flag' is not possible
        default = $keepDuplicate;

--keepMinNumber
        Keep that miminum of backups. Multiple backups of one
        day are counted as one backup. Default is 10.

--keepMaxNumber
        Try to keep only that maximum of backups. If you have
        more backups, the following sequence of deleting will
        happen:
                - delete all duplicates of a day, beginning with the
                  old once, except the oldest of every day
                - if this is not enough, delete the rest of the backups
                  beginning with the oldest, but *never* a backup with
                  the 'archive flag' or the last backup

--keepRelative, -R
        Alternative deletion scheme. If you use this option, all other
        keep options are ignored. Preserves backups depending
        on their *relative* age. Example:
        -R '1d 7d 2m 3m'
            will (try to) ensure that there is always
            - One backup between 1 day and 7 days old
            - One backup between 5 days and 2 months old
            - One backup between 2 months and 3 months old
            If there is no backup for a specified timespan
            (e.g. because the last backup was done more than 2 weeks
            ago) the next older backup will be used for this timespan.

--logFile, -l
        log file (default is STDOUT)

--plusLogStdout
        if you specify a log file with --logFile you can
        additionally print the output to STDOUT with this flag

--suppressTime
        suppress output of time in logfile

--maxFilelen, -m
        maximal length of file, default = 1e6

--noOfOldFiles, -n
        number of old log files, default = 5

--saveLogs
        save log files with date and time instead of deleting the
        old (with [-noOfOldFiles])

--compressWith
        compress saved log files (e.g. with 'gzip -9')
        default is 'bzip2'

COPYRIGHT
Copyright (c) 2003-2014 by Heinz-Josef Claes (see README). Published under the GNU General Public License v3 or any later version